<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: object_tools_m.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_d3e05aca7a3899228bc73874ca6b8d8d.html">sd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Types</a> &#124;
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">object_tools_m.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Types</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">type &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structobject__tools__m_1_1closest__point__info__t.html">object_tools_m::closest_point_info_t</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">type &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structobject__tools__m_1_1cross__point__info__t.html">object_tools_m::cross_point_info_t</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespaceobject__conversion__data__m"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__conversion__data__m.html">object_conversion_data_m</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespaceobject__tools__m"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__tools__m.html">object_tools_m</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a77d4a715778d7b31bf63bd6ddf5ff8a2"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__tools__m.html#a77d4a715778d7b31bf63bd6ddf5ff8a2">object_tools_m::rotate_point_x</a> (x, degrees)</td></tr>
<tr class="separator:a77d4a715778d7b31bf63bd6ddf5ff8a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af41c92f1aae4939dccaa741913c663e0"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__tools__m.html#af41c92f1aae4939dccaa741913c663e0">object_tools_m::rotate_point_y</a> (x, degrees)</td></tr>
<tr class="separator:af41c92f1aae4939dccaa741913c663e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90594887134f8d371df9342b04f0e4ef"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__tools__m.html#a90594887134f8d371df9342b04f0e4ef">object_tools_m::rotate_point_z</a> (x, degrees)</td></tr>
<tr class="separator:a90594887134f8d371df9342b04f0e4ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00ed22f9fd532c745ef644054d96e9a7"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__tools__m.html#a00ed22f9fd532c745ef644054d96e9a7">object_tools_m::prepare_r2i_geom</a> ()</td></tr>
<tr class="separator:a00ed22f9fd532c745ef644054d96e9a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a136a61f820540f800d5bd334519b117d"><td class="memItemLeft" align="right" valign="top">integer function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__tools__m.html#a136a61f820540f800d5bd334519b117d">object_tools_m::convert_r2i_geom</a> (a, dir)</td></tr>
<tr class="separator:a136a61f820540f800d5bd334519b117d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69898bdfa6b7c993dcd074784b45ec66"><td class="memItemLeft" align="right" valign="top">real(wp) function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__tools__m.html#a69898bdfa6b7c993dcd074784b45ec66">object_tools_m::convert_i2r_geom</a> (ia, dir)</td></tr>
<tr class="separator:a69898bdfa6b7c993dcd074784b45ec66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99aa1bb882f83b5e25a8e890bb6403dc"><td class="memItemLeft" align="right" valign="top">real(wp) function, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__tools__m.html#a99aa1bb882f83b5e25a8e890bb6403dc">object_tools_m::cross_mag</a> (a, b)</td></tr>
<tr class="separator:a99aa1bb882f83b5e25a8e890bb6403dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cd7bc4296e3f81ad5ee1f086be439a1"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__tools__m.html#a3cd7bc4296e3f81ad5ee1f086be439a1">object_tools_m::facet_area_diff</a> (facet_area_diff_r, a, v)</td></tr>
<tr class="separator:a3cd7bc4296e3f81ad5ee1f086be439a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afebfb854f1bd8c8492e4f5ab4f987cfc"><td class="memItemLeft" align="right" valign="top">real(wp) function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__tools__m.html#afebfb854f1bd8c8492e4f5ab4f987cfc">object_tools_m::distance_2pt</a> (a, b)</td></tr>
<tr class="separator:afebfb854f1bd8c8492e4f5ab4f987cfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addfbca77f3a0031f1894bdddd7dab604"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__tools__m.html#addfbca77f3a0031f1894bdddd7dab604">object_tools_m::get_closest_point_line</a> (x_close, p, l_a, l_b)</td></tr>
<tr class="separator:addfbca77f3a0031f1894bdddd7dab604"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0f47fcd064bf28142401487f5870635"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__tools__m.html#ac0f47fcd064bf28142401487f5870635">object_tools_m::get_closest_point_line_seg</a> (x_close, p, l_a, l_b)</td></tr>
<tr class="separator:ac0f47fcd064bf28142401487f5870635"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fa07fb277d3621b8d3de73ad5cc15e5"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__tools__m.html#a5fa07fb277d3621b8d3de73ad5cc15e5">object_tools_m::get_closest_line_line</a> (x_close_l1, x_close_l2, parallel, l1_a, l1_b, l2_a, l2_b)</td></tr>
<tr class="separator:a5fa07fb277d3621b8d3de73ad5cc15e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cb9a4cf5220d888d75819064363ca8f"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__tools__m.html#a4cb9a4cf5220d888d75819064363ca8f">object_tools_m::get_closest_line_line_seg</a> (x_close_l1, x_close_l2, parallel, l1_a, l1_b, l2_a, l2_b)</td></tr>
<tr class="separator:a4cb9a4cf5220d888d75819064363ca8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa516a56848974e053ed504cc96cfec92"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__tools__m.html#aa516a56848974e053ed504cc96cfec92">object_tools_m::init_cross_point_info</a> (cross_pt)</td></tr>
<tr class="separator:aa516a56848974e053ed504cc96cfec92"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a15656fe883d77df4c64300ffe21ac6aa"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(2, 3)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__conversion__data__m.html#a15656fe883d77df4c64300ffe21ac6aa">object_conversion_data_m::bbox_r2i_global</a> = 0.0_WP</td></tr>
<tr class="separator:a15656fe883d77df4c64300ffe21ac6aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4acb25181534862fa98c25e8c42f91a5"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__conversion__data__m.html#a4acb25181534862fa98c25e8c42f91a5">object_conversion_data_m::imax_r2i_global</a> = 0</td></tr>
<tr class="separator:a4acb25181534862fa98c25e8c42f91a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c3d6894adeb5589e845db41285fff54"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(3)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__conversion__data__m.html#a3c3d6894adeb5589e845db41285fff54">object_conversion_data_m::delta_r2i_global</a> = 0.0_WP</td></tr>
<tr class="separator:a3c3d6894adeb5589e845db41285fff54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64115eb1ad3c70b4585c7adfad20bea4"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__conversion__data__m.html#a64115eb1ad3c70b4585c7adfad20bea4">object_conversion_data_m::max_delta_r2i_global</a> = 0.0_WP</td></tr>
<tr class="separator:a64115eb1ad3c70b4585c7adfad20bea4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbba23ed9b519b337d390a86ac3edb34"><td class="memItemLeft" align="right" valign="top">logical, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__tools__m.html#afbba23ed9b519b337d390a86ac3edb34">object_tools_m::ready_r2i_geom</a> = .FALSE.</td></tr>
<tr class="separator:afbba23ed9b519b337d390a86ac3edb34"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
